kind: SylvaWorkloadCluster
apiVersion: workloadclusteroperator.sylva/v1alpha1
metadata:
  name: swc
  namespace: vdr2-wl-gitops  ## Replace with workload cluster namespace
spec:
  k8sVersion: "1.28"
  infrastructure: openstack # metal3, vsphere
  controlPlane:
    provider: rke2 # kubeadm
    replicas: 1
  machineDeployments:
    md0:
      replicas: 0
  enabledUnits:
    multus: false    ## Add the units to be enabled for workload cluster
  clusterSettings:
    name: vdr2-wl-gitops
    capo:
      ssh_key_name: vdr2_key
      # network_id: 1a9d5595-af41-4d58-a1b1-04fdf3cd7826
      # flavor_name: "B1.large"
